"use strict";
const { Model } = require("sequelize");
module.exports = (sequelize, DataTypes) => {
  class freebiesImage extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
      freebiesImage.belongsTo(models.freebies, {
        foreignKey: "freebiesId",
      });
    }
  }
  freebiesImage.init(
    {
      image: {
        type: DataTypes.STRING,
        allowNull: false,
        validate: {
          notNull: {
            msg: "Highlight is required",
          },
          notEmpty: {
            msg: "Highlight is required",
          },
        },
      },
      freebiesId: DataTypes.INTEGER,
    },
    {
      sequelize,
      modelName: "freebiesImage",
    }
  );
  return freebiesImage;
};
