const bcrypt = require("bcrypt");

const hash = (password) => bcrypt.hashSync(password, 10);
const compare = (password, hashPassword) =>
  bcrypt.compareSync(password, hashPassword);

module.exports = {
  hash,
  compare,
};
