"use strict";
const { Model } = require("sequelize");
module.exports = (sequelize, DataTypes) => {
  class member extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
      member.belongsTo(models.user, { foreignKey: "userId" });
    }
  }
  member.init(
    {
      userId: DataTypes.INTEGER,
      photo: DataTypes.STRING,
      title: DataTypes.STRING,
      instagram: DataTypes.STRING,
      tiktok: DataTypes.STRING,
      youtube: DataTypes.STRING,
      linkedin: DataTypes.STRING,
    },
    {
      sequelize,
      modelName: "member",
    }
  );
  return member;
};
