const express = require("express");
const auth = require("./auth");
const member = require("./member");
const course = require("./course");
const modules = require("./module");
const topic = require("./topic");
const freebies = require("./freebies");
const admin = require("./admin");
const router = express.Router();

router.use("/auth", auth);
router.use("/admin", admin);
router.use("/member", member);
router.use("/course", course);
router.use("/module", modules);
router.use("/topic", topic);
router.use("/freebies", freebies);

module.exports = router;
