const express = require("express");
const {
  getTopicByModule,
  createTopic,
  getTopicByCourse,
  removeTopic,
  getOneTopic,
  updateTopic,
} = require("../controllers/topicController");
const topic = express.Router();

topic.get("/module/:id", getTopicByModule);
topic.get("/:id", getOneTopic);
topic.get("/course/:id", getTopicByCourse);

module.exports = topic;
